none
VS 2019 for SSIS ? RRS feed

  • Question

  • Hi all,

    We are planning to to use VS 2019 ( as It has replaced SSDT) for our SSIS project development.

    For that I have following questions :

    (1)  Can we deploy this packages to Integration Catalog SSISDB  in sql 2016 ?

    (2) Earlier Packages which are developed earlier in SSDT 2017.In case future I require to make any changes then Do I need to upgrade original SSDT 2017 packages to VS 2019 by clicking NExt NExt or are there any further challenges ?



    Thursday, October 24, 2019 8:46 AM

All replies

  • Hi Aminesh,

    VS2019 supports many versions of SSIS via the TargetServerVersion property.

    Please see below:

    Thursday, October 24, 2019 1:09 PM

  • (1)  Can we deploy this packages to Integration Catalog SSISDB  in sql 2016 ?

    (2) Earlier Packages which are developed earlier in SSDT 2017.In case future I require to make any changes then Do I need to upgrade original SSDT 2017 packages to VS 2019 by clicking NExt NExt or are there any further challenges ?

    Hi Aminesh,

    1.Yes, we can. Please set TargetServerVersion as SQL Server 2016 and then deploy.

    2.We can upgrade or downgrade the SSIS packages as we need by setting TargetServerVersion.

       Or we can upgrade Integration Services Packages Using the SSIS Package Upgrade Wizard.

    Best Regards,

    Mona


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    Friday, October 25, 2019 6:49 AM